package com.aitrainer.api.model.diet

import com.google.gson.annotations.Expose
import kotlinx.serialization.Serializable
import kotlinx.serialization.json.Json

@Serializable
data class DietCustomer(
    @Expose var firstname: String = "",
    @Expose var email: String = "",
    @Expose var sex: String = "m",
    @Expose var goal: String = "",
    @Expose var fitnessLevel: String = "beginner",
    @Expose var birthYear: Int = 0,
    @Expose var weight: Double = 0.0,
    @Expose var height: Double = 0.0,
    @Expose var membershipId: Long = 0,

){
    fun fromJson(json: String): DietCustomer {
        return Json.decodeFromString(serializer(), json)
    }
}