package com.aitrainer.api.repository

import com.aitrainer.api.model.CustomerConversation
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface CustomerConversationRepository : JpaRepository<CustomerConversation, Long> {
    fun findByCustomerId(customerId: Long): List<CustomerConversation>
}