package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.DietUser
import org.springframework.data.jpa.repository.JpaRepository

interface DietUserRepository : JpaRepository<DietUser, Int> {
    fun findByCustomerId(customerId: Long): DietUser?

    fun findByDietUserId(dietUserId: Long): DietUser?
}